"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.vitePluginFaker = void 0;
const plugin_1 = require("./plugin");
const vitePluginFaker = (opts) => {
    let config;
    return {
        name: 'vite-faker',
        configResolved(resolvedConfig) {
            config = resolvedConfig;
        },
        configureServer({ middlewares }) {
            // serve: plugin only invoked by dev server
            if (config.command !== 'serve') {
                return;
            }
            plugin_1.getOrGenerateMockData(opts);
            middlewares.use(plugin_1.requestMiddleware);
        },
    };
};
exports.vitePluginFaker = vitePluginFaker;
__exportStar(require("./types"), exports);
